# API Tools API Freeze Report Conversion Ant Task

## Purpose

This task converts the XML report created by the `apitooling.apifreeze` Ant task into an HTML file.

## Usage

### Description

The name of the Ant task is: `apitooling.apifreeze_reportconversion`. To be used, the jar file `apitooling-ant.jar` has to be on the Ant classpath.

    <apitooling.apifreeze_reportconversion
    	xmlfile="..."
    	htmlfile="..."
    	debug="..."
    />

### Parameters

Attribute | Description | Required
xmlfile | This attribute specifies the location of the xml file to convert. The location is specified using an absolute path. This must be a file location, not a directory. | Yes
htmlfile | This attribute specifies the location of the html file to generate. If not set, the html file name is retrieved from the xml file name by replacing ".xml" in ".html". The location is specified using an absolute path. This must be a file location, not a directory. | No
debug | Set the debug value. The possible values are: `true`, `false` Default is `false`. | No

### Examples

     <apitooling.apifreeze_reportconversion
      xmlfile=="D:\report\report.xml"
      debug="true"
     />

This will run the task creating `report.html` inside the folder `D:\report` as the htmlfile attribute is not set.

Since debug is enabled, some debug tracing will show up in the Ant console.

Analysis Ant Task
File Generation Ant Task
API Use Ant Task
AAPI Freeze Ant Task
Analysis Report Conversion Ant Task
API Deprecation Ant Task
API Deprecation Report Conversion Ant Task
API Use Report Conversion Ant Task